Subject: Re: bug#70979: test suite failures on Solaris 11

From: Ileana Dumitrescu <[email-masked]>
Date: Sat, 8 Jun 2024 14:24:05 +0300

Hi Bruno,

On 08/06/2024 14:04, Bruno Haible wrote:
> Hi Ileana,
> 
>>>     ld: fatal: file libgcc-unwind.map: stat failed: No such file or directory
>>
>> This has been fixed in development! Thank you for the bug report
>> and logs.
> 
> Thanks for the fix!
> 
>> Also on Solaris 11.4, test-update-copyright.sh from gnulib appears to be
>> failing. Does this look like an issue with libtool's copyright or should
>> I report a gnulib bug? It is confusing to me that it is only happening
>> on Solaris.
> 
> I encountered this error already while working on the Gnulib CI [1].
> According to my analysis, the problem is that the initially set locale
> on this GitHub system is invalid. I therefore now copied the workaround/fix
> from the Gnulib CI to the libtool CI (both branches).

Thank you for applying the fix! I am happy to see more green than red on
the CI checks now :)

> Bruno
> 
> [1] https://github.com/gnu-gnulib/ci-testdir-check

-- 
Ileana Dumitrescu

GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354